unit adxXLComboBox_IMPL;

interface

uses
  ComObj, ComServ, ActiveX, Variants, adxAddIn, adxXLComboBox_TLB, StdVcl,
  SysUtils, Classes, Dialogs;

type
  TADX_XLComboBox = class(TadxAddin, IADX_XLComboBox)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxCommandBar1: TadxCommandBar;
    procedure CommonButtonClick(Sender: TObject);
    procedure adxCommandBar1Controls0Change(Sender: TObject);
  private
  protected
  public
  end;

implementation

{$R *.dfm}

procedure TAddInModule.adxCommandBar1Controls0Change(Sender: TObject);
begin
  ShowMessage((Sender as TadxCommandBarComboBox).Text);
end;

procedure TAddInModule.CommonButtonClick(Sender: TObject);
var
  i: Integer;
begin
  case (Sender as TadxCommandBarButton).Tag of
    10: begin
          adxCommandBar1.Controls[0].AsComboBox.Clear;
          for i := 10 downto 1 do
            adxCommandBar1.Controls[0].AsComboBox.Items.Add('Item ' + IntToStr(i));
          adxCommandBar1.Controls[0].AsComboBox.ListHeaderCount := 5;
          adxCommandBar1.Controls[0].AsComboBox.ListIndex := 1;
        end;
    20: begin
          adxCommandBar1.Controls[0].AsComboBox.Clear;
          for i := 1 to 5 do
            adxCommandBar1.Controls[0].AsComboBox.Items.Add('Item ' + IntToStr(i));
          adxCommandBar1.Controls[0].AsComboBox.ListHeaderCount := 2;
          adxCommandBar1.Controls[0].AsComboBox.ListIndex := 1;
        end;
  end;
end;

initialization
  TadxFactory.Create(ComServer, TADX_XLComboBox, CLASS_ADX_XLComboBox, TAddInModule);

end.
